import asyncio
from collections.abc import AsyncGenerator


async def fake_sofia_chat_response() -> AsyncGenerator[str, None]:
    """
    FOR TESTING AND DEV PURPOSE ONLY
    Use to fake sofia chat response when no available server
    """
    # First value
    with open("./fixtures/sofia_chat_response.json") as file:
        for line in file:
            yield line
            await asyncio.sleep(0.001)


async def fake_sofia_collection_response() -> AsyncGenerator[str, None]:
    """
    It can be usefull to also fake the entire sofia_collection response
    in order to investigate front problematic for examples
    """
    with open("./fixtures/sofia_collection_response.json") as file:
        for line in file:
            yield line
            await asyncio.sleep(0.001)
